#don't provide plugin .so
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

%define url_ver %(echo %{version}| cut -d. -f1,2)

Summary:	Mail Watcher plugin for the Xfce panel
Name:		xfce4-mailwatch-plugin
Version:	1.3.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/panel-plugins/xfce4-mailwatch-plugin
Source0:	http://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
# Patch originally from Fedora
Patch3:		xfce4-mailwatch-plugin-1.1.0-mbox-refresh-interval.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(exo-2)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(gnutls)
Requires:	xfce4-panel

%description
Mailwatch is a mail watcher plugin for the Xfce 4 panel.

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--disable-static \
	--enable-ssl
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_libdir}/xfce4/panel/plugins/libmailwatch.so
%{_datadir}/xfce4/panel/plugins/mailwatch.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg


%changelog
* Mon Nov 09 2020 wally <wally> 1.3.0-1.mga8
+ Revision: 1644163
- new version 1.3.0
- switch to gtk3

* Fri Feb 14 2020 umeabot <umeabot> 1.2.0-9.mga8
+ Revision: 1518650
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.2.0-8.mga7
+ Revision: 1301867
- Mageia 7 Mass Rebuild

* Mon Jan 11 2016 luigiwalser <luigiwalser> 1.2.0-7.mga6
+ Revision: 921848
- rebuild for gnutls

* Mon Sep 14 2015 fwang <fwang> 1.2.0-6.mga6
+ Revision: 879231
- rebuild for new libgcrypt

* Tue Mar 03 2015 wally <wally> 1.2.0-5.mga5
+ Revision: 817448
- rebuild for new libxfce4util

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-4.mga5
+ Revision: 743410
- Second Mageia 5 Mass Rebuild

* Sun Sep 21 2014 umeabot <umeabot> 1.2.0-3.mga5
+ Revision: 706911
- Mageia 5 Mass Rebuild

* Fri Oct 25 2013 wally <wally> 1.2.0-2.mga4
+ Revision: 546942
- fix URL

* Fri Oct 25 2013 wally <wally> 1.2.0-1.mga4
+ Revision: 546912
- new version 1.2.0
- exclude plugin .so from provides
- drop unneeded patches

* Fri Oct 18 2013 umeabot <umeabot> 1.1.0-12.mga4
+ Revision: 520564
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.1.0-11.mga3
+ Revision: 386834
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 1.1.0-10.mga3
+ Revision: 338184
- add patch to fix build with automake 1.13
- fix build after %%_libexecdir change

* Sun Jun 17 2012 wally <wally> 1.1.0-9.mga3
+ Revision: 261115
- port to libxfce4ui (patch from PLD Linux)
- add mbox interval patch from Fedora
- rediff linking patch to work with libxfce4ui patch
- clean .spec a bit

* Thu May 31 2012 fwang <fwang> 1.1.0-8.mga3
+ Revision: 251980
- br xfce4-dev-tools
- rebuild for new xfutil

* Tue Jan 03 2012 wally <wally> 1.1.0-7.mga2
+ Revision: 190134
- add patch to fix build with new gnutls
- rebuild for new xfce4-panel
+ fwang <fwang>
- link against gcrypt
- rebuild for new gnutls

* Fri Jun 24 2011 ahmad <ahmad> 1.1.0-5.mga2
+ Revision: 113304
- Add a patch to fix linking
- Drop old/unneeded scriptlets
- imported package xfce4-mailwatch-plugin


* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.0-5mdv2010.1
+ Revision: 543428
- rebuild for mdv 2010.1

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 1.1.0-4mdv2010.0
+ Revision: 446058
- rebuild

* Sun Mar 22 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.0-3mdv2009.1
+ Revision: 360391
- disable checks for format-strings

* Sat Oct 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.0-2mdv2009.1
+ Revision: 294998
- rebuild for new Xfce4.6 beta1

* Tue Sep 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.0-1mdv2009.0
+ Revision: 285103
- update to new version 1.1.0
- add missing buildrequires on gnutls-devel

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-9mdv2009.0
+ Revision: 262360
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-8mdv2009.0
+ Revision: 256872
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- fix description

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-6mdv2008.1
+ Revision: 110560
- correct buildrequires
- new license policy
- use upstream tarball name as a real name
- do not package COPYING
- use upstream name

* Fri Jun 22 2007 Thierry Vignaud <tv@mandriva.org> 1.0.1-5mdv2008.0
+ Revision: 43193
- fix group

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 1.0.1-4mdv2008.0
+ Revision: 36545
- rebuild with correct optflags

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - fix path

* Sun Jun 03 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-1mdv2008.0
+ Revision: 34779
- update to latest version
- spec file clean

